[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.UpdateControlState

Updates the visible state for the control, and notifies the widgetset class when available.

## Declaration

Source position: controls.pp line 2312

`protected procedure TWinControl.UpdateControlState;`

## Description

Calls AdjustSize when the Handle has been allocated for the control and the control is logically visible in the client area for the parent. This causes DoAllAutoSize and UpdateShowing to be called. If the control is not visible, UpdateShowing is called to hide the control.

Called from the SetParentWindow method.